summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-05-25 22:16:50 +0200
committerMichał Górny <mgorny@gentoo.org>2020-05-25 22:30:05 +0200
commit7e2ff197b83e68d15493936ccf89b3af06bfe806 (patch)
tree815be5bd0c3612be8071f22c720d48cd84b1340d
parentdev-python/execnet: Remove longdesc (diff)
downloadgentoo-7e2ff197b83e68d15493936ccf89b3af06bfe806.tar.gz
gentoo-7e2ff197b83e68d15493936ccf89b3af06bfe806.tar.bz2
gentoo-7e2ff197b83e68d15493936ccf89b3af06bfe806.zip
dev-python/wheel: Port to py39
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/wheel/wheel-0.34.2.ebuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/dev-python/wheel/wheel-0.34.2.ebuild b/dev-python/wheel/wheel-0.34.2.ebuild
index 0006226aeb7..80c4b19e4e1 100644
--- a/dev-python/wheel/wheel-0.34.2.ebuild
+++ b/dev-python/wheel/wheel-0.34.2.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
inherit distutils-r1 eutils
@@ -25,3 +25,8 @@ src_prepare() {
-i setup.cfg || die
distutils-r1_src_prepare
}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}